Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.el.fmt
Class MessageTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.fmt.MessageSupport
                  org.apache.taglibs.standard.tag.el.fmt.MessageTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class MessageTag

extends MessageSupport

A handler for <message> that accepts attributes as Strings and evaluates them as expressions at runtime.

Author:
  Jan Luehe
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.fmt.MessageSupport
`bundleAttrValue, bundleSpecified, keyAttrValue, keySpecified, UNDEFINED_KEY`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`MessageTag()` Constructs a new MessageTag.

Method Summary
`int` | `doStartTag()` Default processing of the start tag returning EVAL_BODY_BUFFERED.
`void` | `release()` Release state.
`void` | `setBundle(String bundle_)`
`void` | `setKey(String key_)`

Methods inherited from class org.apache.taglibs.standard.tag.common.fmt.MessageSupport
`addParam, doEndTag, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### MessageTag

    public MessageTag()

  Constructs a new MessageTag. As with TagSupport, subclasses should not provide other constructors and are expected to call the superclass constructor

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the start tag returning EVAL_BODY_BUFFERED.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `MessageSupport`
  Returns:
    EVAL_BODY_BUFFERED
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doStartTag()`

### release

    public void release()

  Description copied from class: `BodyTagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `MessageSupport`
  See Also:
    `Tag.release()`

### setKey

    public void setKey(String key_)

### setBundle

    public void setBundle(String bundle_)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.